Open CASCADE Technology: BlendFunc_Tensor Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BlendFunc_Tensor Class Reference

used to store the "gradient of gradient" More...

`#include <BlendFunc_Tensor.hxx>`

## Public Member Functions
| BlendFunc_Tensor (const Standard_Integer NbRow, const Standard_Integer NbCol, const Standard_Integer NbMat)
void | Init (const Standard_Real InitialValue)
| Initialize all the elements of a Tensor to InitialValue. More...
const Standard_Real & | Value (const Standard_Integer Row, const Standard_Integer Col, const Standard_Integer Mat) const
| accesses (in read or write mode) the value of index <Row>, <Col> and <Mat> of a Tensor. An exception is raised if <Row>, <Col> or <Mat> are not in the correct range. More...
const Standard_Real & | operator() (const Standard_Integer Row, const Standard_Integer Col, const Standard_Integer Mat) const
Standard_Real & | ChangeValue (const Standard_Integer Row, const Standard_Integer Col, const Standard_Integer Mat)
| accesses (in read or write mode) the value of index <Row>, <Col> and <Mat> of a Tensor. An exception is raised if <Row>, <Col> or <Mat> are not in the correct range. More...
Standard_Real & | operator() (const Standard_Integer Row, const Standard_Integer Col, const Standard_Integer Mat)
void | Multiply (const math_Vector &Right, math_Matrix &Product) const

## Detailed Description

used to store the "gradient of gradient"

## Constructor & Destructor Documentation

BlendFunc_Tensor::BlendFunc_Tensor | ( | const Standard_Integer | NbRow,
|  | const Standard_Integer | NbCol,
|  | const Standard_Integer | NbMat
| ) |  |

## Member Function Documentation

Standard_Real& BlendFunc_Tensor::ChangeValue | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Integer | Mat
| ) |  |

accesses (in read or write mode) the value of index <Row>, <Col> and <Mat> of a Tensor. An exception is raised if <Row>, <Col> or <Mat> are not in the correct range.

void BlendFunc_Tensor::Init | ( | const Standard_Real | InitialValue | ) |

Initialize all the elements of a Tensor to InitialValue.

void BlendFunc_Tensor::Multiply | ( | const math_Vector & | Right,
|  | math_Matrix & | Product
| ) |  | const

const Standard_Real& BlendFunc_Tensor::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Integer | Mat
| ) |  | const
| inline

Standard_Real& BlendFunc_Tensor::operator() | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Integer | Mat
| ) |  |
| inline

const Standard_Real& BlendFunc_Tensor::Value | ( | const Standard_Integer | Row,
|  | const Standard_Integer | Col,
|  | const Standard_Integer | Mat
| ) |  | const

accesses (in read or write mode) the value of index <Row>, <Col> and <Mat> of a Tensor. An exception is raised if <Row>, <Col> or <Mat> are not in the correct range.

The documentation for this class was generated from the following file:

- BlendFunc_Tensor.hxx